<template>
  <div class="fix-height-subpage column no-wrap q-pa-md">
    <order-list-header></order-list-header>
    <div class="col q-mt-md">
      <order-list></order-list>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, inject, provide, reactive, toRefs, onMounted } from 'vue';
import { currentRouter } from 'src/router'
import useMetaModule from '../../module/meta/metaModule'
import { useI18n } from 'vue-i18n'
import { DirtionmaryHelper } from '../../config/dictionary';
import OrderListHeader from '../../components/hotel/order/list/OrderListHeader.vue';
import OrderList from '../../components/hotel/order/list/OrderList.vue';

export default defineComponent({
  components: { OrderListHeader, OrderList },
    setup(props) {
        let { setTitle } = useMetaModule()
        const { t } = useI18n()
        const pageTitle = inject(DirtionmaryHelper.PAGE_TITLE_KEY) as any
        pageTitle.value = t('hotelorder.pageTitle')
        setTitle(pageTitle.value)

        const search=reactive({
          OrderId:'',
          OrderNo:'',
          OrderStatus: 0,
          StartTime:'',
          EndTime:'',
          RoomType:0,
          HotelId:0,
          OrderType:0,
          TCNum:'',
          ContactName:'',
          ContactNumber:''
        })
        search.OrderId = currentRouter.currentRoute.value.params.orderId
        
        provide(DirtionmaryHelper.HOTEL_ORDER_SEARCH,search)
        const menu=inject(DirtionmaryHelper.MENU_KEYS) as any
        menu.value=3

        const data = reactive({})
        const methods = {}
        onMounted(()=>{
          
        })
        return {...toRefs(data),...methods,search}
    }
})
</script>

<style>

</style>
